CVE-2022-48521

Name
CVE-2022-48521
Description
An issue was discovered in OpenDKIM through 2.10.3, and 2.11.x through 2.11.0-Beta2. It fails to keep track of ordinal numbers when removing fake Authentication-Results header fields, which allows a remote attacker to craft an e-mail message with a fake sender address such that programs that rely on Authentication-Results from OpenDKIM will treat the message as having a valid DKIM signature when in fact it has none.
NVD Severity
unknown
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
MISC https://github.com/trusteddomainproject/OpenDKIM/issues/148
cve@mitre.org https://lists.debian.org/debian-lts-announce/2023/12/msg00002.html

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:opendkim:opendkim:*:*:*:*:*:*:*:* opendkim >= None <= 2.10.3
cpe:2.3:a:opendkim:opendkim:2.11.0:beta1:*:*:*:*:*:* opendkim == None == 2.11.0

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
opendkim edge-community 2.11.0-r3 Valery Kartel <valery.kartel@gmail.com> possibly vulnerable
opendkim 3.18-community 2.11.0-r3 Valery Kartel <valery.kartel@gmail.com> possibly vulnerable
opendkim 3.19-community 2.11.0-r3 Valery Kartel <valery.kartel@gmail.com> possibly vulnerable